## ros-melodic-datmo 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(datmo)
add_compile_options(-std=c++11)
# list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)# required for YCM
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  tf
  nav_msgs
  sensor_msgs
  visualization_msgs
  cmake_modules REQUIRED
  message_generation
)
find_package(Eigen REQUIRED)
find_package(OpenMP REQUIRED)

#MultiThreading Library
OPTION (USE_OpenMP "Use OpenMP" OFF)
IF(USE_OpenMP)
  FIND_PACKAGE(OpenMP)
  IF(OPENMP_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  ENDIF()
ENDIF()

add_message_files(
  FILES
  Track.msg
  TrackArray.msg
)

generate_messages(
  DEPENDENCIES
  nav_msgs
  std_msgs
)

catkin_package(
 CATKIN_DEPENDS roscpp std_msgs message_runtime
)


include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
)

add_executable(datmo src/main.cpp src/l_shape_tracker.cpp src/kalman-cpp/kalman.cpp src/datmo.cpp src/cluster.cpp)
add_dependencies(datmo ${catkin_EXPORTED_TARGETS} datmo_generate_messages_cpp)
target_link_libraries(datmo ${catkin_LIBRARIES})

=== debian/changelog ===
ros-melodic-datmo (0.1.2-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kostas Konstantinidis <kostaskonkk@gmail.com>  Sat, 13 Jun 2020 09:05:58 -0000

ros-melodic-datmo (0.1.1-2stretch) stretch; urgency=high

  * fixes message generation bug
  * removes unused rviz configurations
  * removes ukf filter tracking
  * organizes topic names under datmo namespace
  * adds tf2-geometry-msgs build dependency
  * changes default world frame from world to laser
  * adds experiment videos
  * merges presentation
  * adds corner switching
  * changes breakpoint image
  * adds clustering
  * removes data association video
  * adds association gif
  * adds flowcharts
  * deletes info stream
  * removes unnecessary file
  * changes covariance of ukf
  * removes old l_shape_tracker
  * moves two_robots bag file
  * removes new tag from recorded bag file
  * implements same orientation for kf and ukf
  * populates more ukf messages
  * publishes ukf tracking msgs
  * publishes length-width
  * tunes Q and R matrices
  * implements Mahalanobis distance for cornerswitches
  * deletes some clutter
  * starts Lshape tracker merge
  * implements ACT model
  * implements constant turn rate model
  * constant velocity model
  * removes poseCovariance visualization
  * refactors launch files
  * Merge branch 'corner_switching'
  * remoces unnecessary filters
  * simplifies findOrientation function
  * changes line length
  * separates dynamic and shape updates
  * same parameters kf ukf
  * improves length width estimation
  * fixes ukf Q matrix
  * fixes clustering bug
  * removes execution timing
  * Merge branch 'master' of github.com:kostaskonkk/datmo
  * adds overtake experiment
  * adds overtake bagfile
  * tries to improve rectanglefitting
  * moves ukf prediction in detectCornerPointSwitch
  * improves orientation estimation by KF
  * fixes velocity estimation bug
  * add experiment launch
  * adds expemeriment launch
  * adds launch for new experiment
  * finishes ukf l_shape_tracker
  * fixes orientatin bug
  * implements constant acceleration model
  * moves detectCornerPoint switch in lshapetracker
  * adds separate LShapeTracker object for UKF
  * adds launch files
  * better distance for data association
  * saves amount of tracked objects
  * add constant turn rate ukf
  * corrects orientations estimation
  * moves all rviz configs in datmo
  * adds box_kf
  * ukf works with newtonian model
  * refactoring of ukf filter class
  * adds example bag file
  * make filters remain between measurements
  * white background rviz
  * Adds some progress
  * Merges with refactored master
  * Fixes closest corner point bug
  * Moves tf to datmo class/ major refactoring
  * merge with master
  * Code refactoring and cleaning
  * Adds documentation
  * Adds arrow for theta box
  * Adds prototype covariance
  * Addition of UKF
  * Publishing of covariances
  * Adds buggy nonlinear observer
  * Refactoring and map_frame bug fix
  * Fixes transformation bug
  * Corrects the box_track_msg
  * Publishing of length and width
  * Timing of execution
  * changed coordinate frame of box_tracks
  * moved datmo constructor to source file
  * finished corner point switching
  * worked on shape switching
  * initial corner point switching
  * closeness criterion
  * fixed bounding box in rviz
  * fixed track.stamp bug
  * absolute velocities, arrows and new track msg
  * changed to PoseStamped in Track msg
  * publishing of /tracks topic
  * refactoring and initial bounding box
  * Trajectories and primitive classification
  * added configuration parameters
    xMerge branch 'master' of github.com:kostaskonkk/datmo
  * Addition of Kalman Filter and estimation of velocity
  * Update README.md
  * v1
  * Initial commit
  * Contributors: Kostantinos Konstantinidis, Kostas, Kostas Flou, kostas

 -- Kostas Konstantinidis <kostaskonkk@gmail.com>  Sat, 23 May 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-datmo
Section: misc
Priority: optional
Maintainer: Kostas Konstantinidis <kostaskonkk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-geometry-msgs, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-datmo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs
Description: The LIDAR Detection and Tracking of Moving Objects package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-datmo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
